CRAN Package Check Results for Package broom.mixed

Last updated on 2022-07-01 15:51:13 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.2.9.4 9.85 181.28 191.13 NOTE
r-devel-linux-x86_64-debian-gcc 0.2.9.4 7.85 128.42 136.27 NOTE
r-devel-linux-x86_64-fedora-clang 0.2.9.4 239.17 NOTE
r-devel-linux-x86_64-fedora-gcc 0.2.9.4 224.30 NOTE
r-devel-windows-x86_64 0.2.9.4 44.00 201.00 245.00 NOTE
r-patched-linux-x86_64 0.2.9.4 8.24 168.87 177.11 NOTE
r-release-linux-x86_64 0.2.9.4 7.31 165.06 172.37 NOTE
r-release-macos-arm64 0.2.9.4 59.00 ERROR
r-release-macos-x86_64 0.2.9.4 96.00 NOTE
r-release-windows-x86_64 0.2.9.4 46.00 208.00 254.00 NOTE
r-oldrel-macos-arm64 0.2.9.4 48.00 NOTE
r-oldrel-macos-x86_64 0.2.9.4 86.00 NOTE
r-oldrel-windows-ix86+x86_64 0.2.9.4 21.00 200.00 221.00 NOTE

Check Details

Version: 0.2.9.4
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: 'glmmADMB'
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-x86_64, r-patched-linux-x86_64, r-release-linux-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-x86_64, r-oldrel-macos-arm64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.2.9.4
Check: examples
Result: ERROR
    Running examples in ‘broom.mixed-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: glmmTMB_tidiers
    > ### Title: Tidying methods for glmmTMB models
    > ### Aliases: glmmTMB_tidiers tidy.glmmTMB augment.glmmTMB glance.glmmTMB
    >
    > ### ** Examples
    >
    > if (require("glmmTMB") && require("lme4")
    + ## &&
    + ## make sure package versions are OK
    + ## checkDepPackageVersion(dep_pkg = "TMB",
    + ## this_pkg = "glmmTMB",
    + ## warn = FALSE) &&
    + ## checkDepPackageVersion(dep_pkg = "Matrix",
    + ## this_pkg = "TMB",
    + ## warn = FALSE)
    + )
    + {
    + data("sleepstudy",package="lme4")
    + ## original model:
    + ## Not run:
    + ##D lmm1 <- glmmTMB(Reaction ~ Days + (Days | Subject), sleepstudy)
    + ##D
    + ## End(Not run)
    + ## load stored object
    + L <- load(system.file("extdata","glmmTMB_example.rda",package="broom.mixed"))
    + for (obj in L) {
    + assign(obj, glmmTMB::up2date(get(obj)))
    + }
    + tidy(lmm1)
    + tidy(lmm1, effects = "fixed")
    + tidy(lmm1, effects = "fixed", conf.int=TRUE)
    + tidy(lmm1, effects = "fixed", conf.int=TRUE, conf.method="uniroot")
    + ## FIX: tidy(lmm1, effects = "ran_vals", conf.int=TRUE)
    + head(augment(lmm1, sleepstudy))
    + glance(lmm1)
    +
    + ## original model:
    + ## glmm1 <- glmmTMB(incidence/size ~ period + (1 | herd),
    + ## data = cbpp, family = binomial, weights=size)
    + tidy(glmm1)
    + tidy(glmm1, effects = "fixed")
    + tidy(glmm1, effects = "fixed", exponentiate=TRUE)
    + tidy(glmm1, effects = "fixed", conf.int=TRUE, exponentiate=TRUE)
    + head(augment(glmm1, cbpp))
    + head(augment(glmm1, cbpp, type.residuals="pearson"))
    + glance(glmm1)
    + ## Not run:
    + ##D ## profile CIs - a little bit slower but more accurate
    + ##D tidy(glmm1, effects = "fixed", conf.int=TRUE, exponentiate=TRUE, conf.method="profile")
    + ## End(Not run)
    + }
    Loading required package: glmmTMB
    Warning in checkDepPackageVersion(dep_pkg = "TMB") :
     Package version inconsistency detected.
    glmmTMB was built with TMB version 1.7.22
    Current TMB version is 1.9.0
    Please re-install glmmTMB from source or restore original ‘TMB’ package (see '?reinstalling' for more information)
    Loading required package: lme4
    Loading required package: Matrix
    Error in .Call("getParameterOrder", data, parameters, reportenv, control, :
     Incorrect number of arguments (4), expecting 3 for 'getParameterOrder'
    Calls: assign ... with.default -> eval -> eval -> <Anonymous> -> getParameterOrder
    Execution halted
Flavor: r-release-macos-arm64

Version: 0.2.9.4
Check: tests
Result: ERROR
     Running ‘test-all.R’ [13s/14s]
    Running the tests in ‘tests/test-all.R’ failed.
    Last 13 lines of output:
     PACKAGE = DLL)`: Incorrect number of arguments (4), expecting 3 for 'getParameterOrder'
     Backtrace:
     ▆
     1. ├─base::assign(obj, glmmTMB::up2date(get(obj))) at test-glmmTMB.R:20:4
     2. └─glmmTMB::up2date(get(obj))
     3. ├─base::with(...)
     4. └─base::with.default(...)
     5. └─base::eval(substitute(expr), data, enclos = parent.frame())
     6. └─base::eval(substitute(expr), data, enclos = parent.frame())
     7. └─TMB::MakeADFun(...)
     8. └─TMB:::getParameterOrder(data, parameters, new.env(), DLL = DLL)
    
     [ FAIL 2 | WARN 8 | SKIP 1 | PASS 196 ]
     Error: Test failures
     Execution halted
Flavor: r-release-macos-arm64